Skip to main content

OrderRecord

Struct OrderRecord 

Source
pub struct OrderRecord {
Show 18 fields pub id: String, pub symbol: String, pub board: Option<String>, pub exchange: Option<String>, pub portfolio: Option<String>, pub comment: Option<String>, pub kind: Option<String>, pub side: Option<String>, pub status: Option<String>, pub trans_time: Option<String>, pub update_time: Option<String>, pub qty_units: Option<Decimal>, pub qty: Option<Decimal>, pub filled_qty_units: Option<Decimal>, pub filled: Option<Decimal>, pub price: Option<Decimal>, pub time_in_force: Option<String>, pub existing: Option<bool>,
}
Expand description

An order of the portfolio: the item of GET /md/v2/Clients/{exchange}/{portfolio}/orders, the answer of the call for one order and the message of the orders subscription.

Fields§

§id: String

The number of the order at the exchange. Text, though it looks like a number.

§symbol: String

The ticker.

§board: Option<String>

The trading mode.

§exchange: Option<String>

MOEX or SPBX.

§portfolio: Option<String>

The portfolio.

§comment: Option<String>

The comment of the order (up to 100 characters). The connector keeps the client order id here.

§kind: Option<String>

limit or market.

§side: Option<String>

buy or sell.

§status: Option<String>

working, filled, canceled or rejected.

§trans_time: Option<String>

When the order was placed, UTC text.

§update_time: Option<String>

When the status last changed, UTC text.

§qty_units: Option<Decimal>

The ordered quantity in pieces.

§qty: Option<Decimal>

The ordered quantity in lots.

§filled_qty_units: Option<Decimal>

The filled quantity in pieces.

§filled: Option<Decimal>

The filled quantity in lots.

§price: Option<Decimal>

The price (empty for a market order).

§time_in_force: Option<String>

The time in force: oneday, immediateorcancel, fillorkill, attheclose, goodtillcancelled, bookorcancel.

§existing: Option<bool>

true for data from the history (the first messages of a subscription), false for new events.

Trait Implementations§

Source§

impl Clone for OrderRecord

Source§

fn clone(&self) -> OrderRecord

Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§

fn clone_from(&mut self, source: &Self)

Performs copy-assignment from source. Read more
Source§

impl Debug for OrderRecord

Source§

fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
Source§

impl Default for OrderRecord

Source§

fn default() -> OrderRecord

Returns the “default value” for a type. Read more
Source§

impl<'de> Deserialize<'de> for OrderRecord

Source§

fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>
where __D: Deserializer<'de>,

Deserialize this value from the given Serde deserializer. Read more
Source§

impl Serialize for OrderRecord

Source§

fn serialize<__S>(&self, __serializer: __S) -> Result<__S::Ok, __S::Error>
where __S: Serializer,

Serialize this value into the given Serde serializer. Read more

Auto Trait Implementations§

Blanket Implementations§

Source§

impl<T> Any for T
where T: 'static + ?Sized,

Source§

fn type_id(&self) -> TypeId

Gets the TypeId of self. Read more
Source§

impl<T> Borrow<T> for T
where T: ?Sized,

Source§

fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
§

impl<ST, DT> CastableFrom<ST, Initialized, Initialized> for DT
where ST: ?Sized, DT: ?Sized,

§

impl<ST, DT> CastableFrom<ST, Uninit, Uninit> for DT
where ST: ?Sized, DT: ?Sized,

Source§

impl<T> CloneToUninit for T
where T: Clone,

Source§

unsafe fn clone_to_uninit(&self, dest: *mut u8)

🔬This is a nightly-only experimental API. (clone_to_uninit)
Performs copy-assignment from self to dest. Read more
Source§

impl<T> DeserializeOwned for T
where T: for<'de> Deserialize<'de>,

Source§

impl<T> From<T> for T

Source§

fn from(t: T) -> T

Returns the argument unchanged.

§

impl<T> Instrument for T

§

fn instrument(self, span: Span) -> Instrumented<Self>

Instruments this type with the provided [Span], returning an Instrumented wrapper. Read more
§

fn in_current_span(self) -> Instrumented<Self>

Instruments this type with the current Span, returning an Instrumented wrapper. Read more
Source§

impl<T, U> Into<U> for T
where U: From<T>,

Source§

fn into(self) -> U

Calls U::from(self).

That is, this conversion is whatever the implementation of From<T> for U chooses to do.

§

impl<T> PolicyExt for T
where T: ?Sized,

§

fn and<P, B, E>(self, other: P) -> And<T, P>
where T: Sized + Policy<B, E>, P: Policy<B, E>,

Create a new Policy that returns [Action::Follow] only if self and other return Action::Follow. Read more
§

fn or<P, B, E>(self, other: P) -> Or<T, P>
where T: Sized + Policy<B, E>, P: Policy<B, E>,

Create a new Policy that returns [Action::Follow] if either self or other returns Action::Follow. Read more
§

impl<T> Read<Exclusive, BecauseExclusive> for T
where T: ?Sized,

Source§

impl<T> Same for T

Source§

type Output = T

Should always be Self
Source§

impl<T> ToOwned for T
where T: Clone,

Source§

type Owned = T

The resulting type after obtaining ownership.
Source§

fn to_owned(&self) -> T

Creates owned data from borrowed data, usually by cloning. Read more
Source§

fn clone_into(&self, target: &mut T)

Uses borrowed data to replace owned data, usually by cloning. Read more
Source§

impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

type Error = Infallible

The type returned in the event of a conversion error.
Source§

fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
§

impl<V, T> VZip<V> for T
where V: MultiLane<T>,

§

fn vzip(self) -> V

§

impl<T> WithSubscriber for T

§

fn with_subscriber<S>(self, subscriber: S) -> WithDispatch<Self>
where S: Into<Dispatch>,

Attaches the provided Subscriber to this type, returning a [WithDispatch] wrapper. Read more
§

fn with_current_subscriber(self) -> WithDispatch<Self>

Attaches the current default Subscriber to this type, returning a [WithDispatch] wrapper. Read more